## NAME

i.evapo.time - Computes temporal integration of satellite ET actual (ETa) following the daily ET reference (ETo) from meteorological station(s).

## KEYWORDS

imagery, evapotranspiration

## SYNOPSIS

i.evapo.time
i.evapo.time --help
i.evapo.time eta=name[,name,...] eta_doy=name[,name,...] eto=name[,name,...] eto_doy_min=float start_period=float end_period=float output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

eta=name[,name,...] [required]
  Names of satellite ETa raster maps [mm/d or cm/d]
eta_doy=name[,name,...] [required]
  Names of satellite ETa Day of Year (DOY) raster maps [0-400] [-]
eto=name[,name,...] [required]
  Names of meteorological station ETo raster maps [0-400] [mm/d or cm/d]
eto_doy_min=float [required]
  Value of DOY for ETo first day
start_period=float [required]
  Value of DOY for the first day of the period studied
end_period=float [required]
  Value of DOY for the last day of the period studied
output=name [required]
  Name for output raster map

## DESCRIPTION

i.evapo.time (i.evapo.time_integration) integrates ETa in time following a reference ET (typically) from a set of meteorological stations dataset. Inputs:

- ETa images
- ETa images DOY (Day of Year)
- ETo images
- ETo DOYmin as a single value

Method:

1. each ETa pixel is divided by the same day ETo and become ETrF
2. each ETrF pixel is multiplied by the ETo sum for the representative days
3. Sum all n temporal [ETrF*ETo_sum] pixels to make a summed(ET) in [DOYmin;DOYmax]

representative days calculation: let assume i belongs to range [DOYmin;DOYmax]

    DOYbeforeETa[i] = ( DOYofETa[i] - DOYofETa[i-1] ) / 2
    DOYafterETa[i] = ( DOYofETa[i+1] - DOYofETa[i] ) / 2

## NOTES

ETo images preparation: If you only have one meteorological station data set, the easiest way is:

    n=0
    for ETo_val in Eto[1] Eto[2] ...
    do
    	r.mapcalc "eto$n = $ETo_val"
    	`expr n = n + 1`
    done

with Eto[1], Eto[2], etc being a simple copy and paste from your data file of all ETo values separated by an empty space from each other.

If you have several meteorological stations data, then you need to grid them by generating Thiessen polygons or using different interpolation methods for each day.

For multi-year calculations, just continue incrementing DOY values above 366, it will continue working, up to maximum input of 400 satellite images.

## SEE ALSO

i.eb.eta, i.evapo.mh, i.evapo.pt, i.evapo.pm, r.sun

## AUTHOR

Yann Chemin, International Rice Research Institute, The Philippines

## SOURCE CODE

Available at: i.evapo.time source code (history)

Latest change: Wednesday Feb 09 22:41:37 2022 in commit: c37871b51d202b155b64ba04288c4242826936f2

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.3.dev Reference Manual